Bug 128227 - CAN-2004-0686 buffer overflow in 'mangling method = hash' code.
CAN-2004-0686 buffer overflow in 'mangling method = hash' code.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-20 10:00 EDT by Josh Bressers
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-22 07:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-07-20 10:00:30 EDT
Affected Versions:      Samba 3.0.0 and later

A buffer overrun has been located in the code used to support
the 'mangling method = hash' smb.conf option.  Please be aware
that the default setting for this parameter is 'mangling method
= hash2' and therefore not vulnerable.

Affected Samba 3 installations can avoid this possible security
bug by using the default hash2 mangling method.  Server
installations requiring the hash mangling method are encouraged
to upgrade to Samba 3.0.5.  There are no known exploits for the
bug.
Comment 1 Mark J. Cox (Product Security) 2004-07-21 03:53:34 EDT
This issue has also been found to affect versions of Samba 2.

Embargo moved to Jul 22
Comment 2 Mark J. Cox (Product Security) 2004-07-22 06:48:45 EDT
Removing embargo; now public at http://www.samba.org/samba/samba.html
Comment 3 Mark J. Cox (Product Security) 2004-07-22 07:01:08 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-259.html
Comment 4 Mark J. Cox (Product Security) 2004-07-22 07:10:29 EDT
(an update to correct juts this issue for RHEL2.1 will be available later)

Note You need to log in before you can comment on or make changes to this bug.